Redirect to users_path instead of edit_user_path in order to avoid confusion
Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour
Description

Currently, a user is redirected to edit_user_path (/users/*/edit) after creating a user. However, I think it is better to be redirected to

user_path (/users) for the following reasons:

Inconsistent. There are some exceptions but most forms in Admin page shows index page after an object is created

Confusing. Today I observed that an admin mistakenly rewrote the user that has just created. It is because they misunderstood

that the form is /users/new, but it was actually /users/*/edit

I cannot find any use cases that showing edit_user_path is better than users_path

diff --git a/app/controllers/users_controller.rb b/app/controllers/users_controller.rb

index 2fb297874..d3e853b43 100644

--- a/app/controllers/users_controller.rb

+++ b/app/controllers/users_controller.rb

@@ -122,7 +122,7 @@ class UsersController < ApplicationController

             attrs = {:generate_password => @user.generate_password }

             redirect_to new_user_path(:user => attrs)

           else

-            redirect_to edit_user_path(@user)

+            redirect_to users_path

           end

         }

         format.api  { render :action => 'show', :status => :created, :location => user_url(@user)

 }

Related issues:

Related to Redmine - Feature #32783: Redirect to index page instead of edit p... Closed

History

#1 - 2020-03-10 11:16 - Go MAEDA

In early versions, the index page was displayed after creating a user, but the behavior was changed to display the edit form in r2869.

#2 - 2020-03-10 22:11 - Marius BĂLTEANU

- Target version set to Candidate for next major release

#3 - 2020-04-20 12:09 - Go MAEDA

- Related to Feature #32783: Redirect to index page instead of edit page after creating a new custom field added

#4 - 2020-04-28 08:36 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#5 - 2020-05-04 02:53 - Go MAEDA

- File 33117.patch added

Attaching a patch with an updated test.

#6 - 2020-05-07 04:51 - Go MAEDA

- Target version changed from 4.2.0 to Candidate for next major release
https://www.redmine.org/projects/redmine/repository/svn/revisions/2869


Removing from 4.2.0 because always redirecting to the first page of the list may not be appropriate.

The current patch always redirects to the first page of the users list even though a newly created user may be displayed on the other page. I felt the

behavior is strange while testing.

#7 - 2020-06-15 11:04 - Go MAEDA

- Target version deleted (Candidate for next major release)

Files

33117.patch 1.13 KB 2020-05-04 Go MAEDA
